ForceFields::MMFF::MMFFBondCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFBond * | operator() (const unsigned int bondType, const unsigned int atomType, const unsigned int nbrAtomType)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFBondCollection * | getMMFFBond (const std::string &mmffBond="")
| gets a pointer to the singleton MMFFBondCollection More...

## Detailed Description

Definition at line 418 of file MMFF/Params.h.

## Member Function Documentation

static MMFFBondCollection* ForceFields::MMFF::MMFFBondCollection::getMMFFBond | ( | const std::string & | mmffBond = `""` | ) |

static

gets a pointer to the singleton MMFFBondCollection

Parameters

  mmffBond | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFBondCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFBondCollection has already been instantiated and `mmffBond` is empty, the singleton will be returned.
- if `mmffBond` is empty and the singleton MMFFBondCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffBond` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const MMFFBond* ForceFields::MMFF::MMFFBondCollection::operator() | ( | const unsigned int | bondType,
|  | const unsigned int | atomType,
|  | const unsigned int | nbrAtomType
| ) |  |

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFBond object, NULL on failure.

Definition at line 442 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h